#ifndef _CONFIG_H_
#define _CONFIG_H_

/*
 * Copyright (C) 2006 by egnite Software GmbH. All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 3. Neither the name of the copyright holders nor the names of
 *    contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY EGNITE SOFTWARE GMBH AND CONTRIBUTORS
 * ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
 * FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL EGNITE
 * SOFTWARE GMBH OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED
 * AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
 * OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF
 * THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 *
 * For additional information see http://www.ethernut.de/
 */

/*!
 * \file at73dac.h
 * \brief AT73C213 driver.
 *
 * \verbatim
 *
 * $Log$
 *
 * \endverbatim
 */

#include <sys/types.h>

#ifndef VERSION
#define VERSION "0.9.9"
#endif

#if defined (AT91SAM9260_EK)
#define MAXNUM_STATIONS     128
#else
#define MAXNUM_STATIONS     16
#endif

typedef struct {
    u_long proxy_ip;
    u_short proxy_port;
    u_char *proxy_user;
} HTTP_PROXY;

extern HTTP_PROXY proxy;

typedef struct {
    char *rs_symbol;
    u_short rs_port;
    u_long rs_ip;
    char *rs_url;
} STATIONCONF;

extern STATIONCONF *station;

typedef struct {
    u_char rc_off;              /*!< \brief Set when switched off. */
    u_char rc_cstatus;          /*!< \brief Current status. */
    u_char rc_dstatus;          /*!< \brief Displayed status. */
    u_char rc_cstation;         /*!< \brief Current station. */
    u_char rc_rstation;         /*!< \brief Requested station. */
    u_char rc_cvolume;          /*!< \brief Current volume. */
    u_char rc_rvolume;          /*!< \brief Requested station. */
    u_char rc_cmute;            /*!< \brief Muted. */
    u_char rc_rmute;            /*!< \brief Muted requested. */
} RADIOCONTROL;

extern RADIOCONTROL radio;

__BEGIN_DECLS
/* Prototypes */

extern void ConfigResetFactory(void);
extern int ConfigStation(u_char idx, CONST char *symbol, CONST char * url);

__END_DECLS
/* End of prototypes */
#endif
